Mailrelay API Reference

Lists sent campaigns

GET https://{account}/api/v1/sent_campaigns

Authentication

Requires an API key sent in the X-AUTH-TOKEN header.

Lists sent campaigns.

Pagination

This is a paginated resource. You can optionally send two query parameters:

Parameter Description
page The page that you want to retrieve. It starts with 1.
per_page The number of records returned per page. The max allowed value for this resource is 100.

Parameters

NameTypeRequiredDescription
page integer No Page number
per_page integer No Number of records per page
q[id_eq] integer No Search: ID equals
q[id_gteq] integer No Search: ID greater than or equal to
q[id_lteq] integer No Search: ID less than or equal to
q[subject_eq] string No Search: Subject equals
q[subject_cont] string No Search: Subject contains
q[sender_id_eq] integer No Search: Sender equals
q[sender_id_gteq] integer No Search: Sender greater than or equal to
q[sender_id_lteq] integer No Search: Sender less than or equal to
q[status_eq] string No Search: Status equals
q[status_cont] string No Search: Status contains
q[created_at_eq] string No Search: Created at equals
q[created_at_gteq] string No Search: Created at greater than or equal to
q[created_at_lteq] string No Search: Created at less than or equal to
q[s] string No Allows ordering the records based on a specific field. You may optionally append "asc" or "desc" to define the direction. Example: "id desc"

Responses

StatusDescription
200 Success
400 The request is invalid. Check the query parameters, including that per_page isn't above the maximum allowed for this resource.
401 The API key wasn't sent or is invalid
429 Too many requests. You have exceeded the rate limit, wait and try again later.
500 An internal error happened. Try again later.

Response fields

NameTypeDescription
id integer ID
subject string Subject
sender_id integer Sender
preview_text string Preview text
html string HTML
status string Status
clicks_count integer Clicks
unique_clicks_count integer Clicks (unique)
impressions_count integer Impressions
unique_impressions_count integer Impressions (unique)
sent_emails_count integer Sent emails
processed_emails_count integer Processed
delivered_emails_count integer Delivered
soft_bounced_emails_count integer Soft bounced
bounced_emails_count integer Bounced
unsubscribe_events_count integer Unsubscribes
scheduled_at string Scheduled at
created_at string Created at
updated_at string Updated at
finished_at string Finished at
track_opens boolean Track opens
track_clicks boolean Track clicks

Response headers

NameTypeDescription
Per-Page integer Number of records returned per page.
Total integer Total number of records matching the request, ignoring pagination.
Link string RFC 5988 links to the first, prev, next and last pages. Only the applicable relations are included.